﻿-- Annoucements functions

--Announce Cooldowns
function SN:Announcer(frame, timer, spellId, caster, destName, token)
	
	--Is the announce setting and in a raid and are you the leader...otherwise no spam for you
	if (SN.db.profile.CD.castannounce) and (SN.db.profile.CD.raid) and (UnitIsGroupLeader("player")) then
		local dur = timer / 60

		if SN.F.cooldowns and token then
			SendChatMessage(caster.." casts "..GetSpellLink(spellId).." "..dur.."min".." CD", "RAID")
		elseif SN.F.cooldowns and not token then
			SendChatMessage(caster.." casts "..GetSpellLink(spellId).." "..dur.."min".." CD", "PARTY")
		end
	end

	if frame == SN.F.threat and token then
		SendChatMessage(UnitName("player").." casts {star} "..GetSpellLink(spellId).." {star} on you!", "WHISPER", nil, destName)
	elseif frame == SN.F.threat and not token then
		SendChatMessage(UnitName("player").." tried to cast {star} "..GetSpellLink(spellId)..
								" {star} on you, but you're on your stupid mount.", "WHISPER", nil, destName)
	end
		
	--if frame == SN.F.cc and token then
	--	SendChatMessage(caster.." broke "..GetSpellLink(spellId).." on "..destName, "RAID")
	--elseif frame == SN.F.cc and not token then
	--	SendChatMessage(caster.." broke "..GetSpellLink(spellId).." on "..destName, "PARTY")
	--end	
end
--Announce CC breaking
--function SN:AnnounceCC(timer, spellId, caster)
	
--	SendChatMessage(caster.." broke "..GetSpellLink(spellId).." on "..destName, "RAID")
--	SendChatMessage(caster.." broke "..GetSpellLink(spellId).." on "..destName, "PARTY")

--end

--function SN:AnnounceThreat(timer, spellId, caster, destName)

--	SendChatMessage(UnitName("player").." casts {star} "..GetSpellLink(spellId).." {star} on you!", "WHISPER", nil, destName)
--	SendChatMessage(UnitName("player").." tried to cast {star} "..GetSpellLink(spells.id)..
--								" {star} on you, but you're on your stupid mount.", "WHISPER", nil, self.storeMDtar)
--end